Index: /trunk/bp-groups.php
===================================================================
--- /trunk/bp-groups.php	(revision 3727)
+++ /trunk/bp-groups.php	(revision 3728)
@@ -1,3 +1,5 @@
 <?php
+
+// Required Files
 require ( BP_PLUGIN_DIR . '/bp-groups/bp-groups-classes.php' );
 require ( BP_PLUGIN_DIR . '/bp-groups/bp-groups-templatetags.php' );
@@ -14,19 +16,25 @@
 	global $bp;
 
+	// Define a slug, if necessary
 	if ( !defined( 'BP_GROUPS_SLUG' ) )
-		define ( 'BP_GROUPS_SLUG', $bp->pages->groups->slug );
-
-	/* For internal identification */
-	$bp->groups->id = 'groups';
-	$bp->groups->name = $bp->pages->groups->name;
-	$bp->groups->slug = BP_GROUPS_SLUG;
-
+		define ( 'BP_GROUPS_SLUG', bp_core_component_slug_from_root_slug( $bp->pages->groups->slug ) );
+
+	// For internal identification
+	$bp->groups->id        = 'groups';
+	$bp->groups->name      = $bp->pages->groups->name;
+
+	// Slugs
+	$bp->groups->slug      = BP_GROUPS_SLUG;
+	$bp->groups->root_slug = $bp->pages->groups->slug;
+
+	// Tables
 	$bp->groups->table_name           = $bp->table_prefix . 'bp_groups';
 	$bp->groups->table_name_members   = $bp->table_prefix . 'bp_groups_members';
 	$bp->groups->table_name_groupmeta = $bp->table_prefix . 'bp_groups_groupmeta';
 
+	// Notifications
 	$bp->groups->format_notification_function = 'groups_format_notifications';
 
-	/* Register this in the active components array */
+	// Register this in the active components array
 	$bp->active_components[$bp->groups->slug] = $bp->groups->id;
 
@@ -34,7 +42,7 @@
 
 	$bp->groups->group_creation_steps = apply_filters( 'groups_create_group_steps', array(
-		'group-details' => array( 'name' => __( 'Details', 'buddypress' ), 'position' => 0 ),
+		'group-details'  => array( 'name' => __( 'Details', 'buddypress' ), 'position' => 0 ),
 		'group-settings' => array( 'name' => __( 'Settings', 'buddypress' ), 'position' => 10 ),
-		'group-avatar' => array( 'name' => __( 'Avatar', 'buddypress' ), 'position' => 20 ),
+		'group-avatar'   => array( 'name' => __( 'Avatar', 'buddypress' ), 'position' => 20 ),
 	) );
 
@@ -48,5 +56,5 @@
 
 	// The default text for the groups directory search box
-        $bp->default_search_strings[$bp->groups->slug] = __( 'Search Groups...', 'buddypress' );
+	$bp->default_search_strings[$bp->groups->slug] = __( 'Search Groups...', 'buddypress' );
 
 	do_action( 'groups_setup_globals' );
@@ -57,11 +65,11 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && $group_id = BP_Groups_Group::group_exists($bp->current_action) ) {
-
-		/* This is a single group page. */
+	if ( bp_is_current_component( $bp->groups->slug ) && $group_id = BP_Groups_Group::group_exists($bp->current_action) ) {
+
+		// This is a single group page.
 		$bp->is_single_item = true;
 		$bp->groups->current_group = new BP_Groups_Group( $group_id );
 
-		/* Using "item" not "group" for generic support in other components. */
+		// Using "item" not "group" for generic support in other components.
 		if ( is_super_admin() )
 			$bp->is_item_admin = 1;
@@ -69,25 +77,25 @@
 			$bp->is_item_admin = groups_is_user_admin( $bp->loggedin_user->id, $bp->groups->current_group->id );
 
-		/* If the user is not an admin, check if they are a moderator */
+		// If the user is not an admin, check if they are a moderator
 		if ( !$bp->is_item_admin )
 			$bp->is_item_mod = groups_is_user_mod( $bp->loggedin_user->id, $bp->groups->current_group->id );
 
-		/* Is the logged in user a member of the group? */
+		// Is the logged in user a member of the group?
 		$bp->groups->current_group->is_user_member = ( is_user_logged_in() && groups_is_user_member( $bp->loggedin_user->id, $bp->groups->current_group->id ) ) ? true : false;
 
-		/* Should this group be visible to the logged in user? */
+		// Should this group be visible to the logged in user?
 		$bp->groups->current_group->is_group_visible_to_member = ( 'public' == $bp->groups->current_group->status || $bp->groups->current_group->is_user_member ) ? true : false;
 	}
 
-	/* Add 'Groups' to the main navigation */
-	bp_core_new_nav_item( array( 'name' => sprintf( __( 'Groups <span>(%d)</span>', 'buddypress' ), groups_total_groups_for_user() ), 'slug' => $bp->groups->name, 'position' => 70, 'screen_function' => 'groups_screen_my_groups', 'default_subnav_slug' => 'my-groups', 'item_css_id' => $bp->groups->id ) );
-
-	$groups_link = $bp->loggedin_user->domain . $bp->groups->name . '/';
-
-	/* Add the subnav items to the groups nav item */
-	bp_core_new_subnav_item( array( 'name' => __( 'My Groups', 'buddypress' ), 'slug' => 'my-groups', 'parent_url' => $groups_link, 'parent_slug' => $bp->groups->name, 'screen_function' => 'groups_screen_my_groups', 'position' => 10, 'item_css_id' => 'groups-my-groups' ) );
-	bp_core_new_subnav_item( array( 'name' => __( 'Invites', 'buddypress' ), 'slug' => 'invites', 'parent_url' => $groups_link, 'parent_slug' => $bp->groups->name, 'screen_function' => 'groups_screen_group_invites', 'position' => 30, 'user_has_access' => bp_is_my_profile() ) );
-
-	if ( $bp->current_component == $bp->groups->slug ) {
+	// Add 'Groups' to the main navigation
+	bp_core_new_nav_item( array( 'name' => sprintf( __( 'Groups <span>(%d)</span>', 'buddypress' ), groups_total_groups_for_user() ), 'slug' => $bp->groups->slug, 'position' => 70, 'screen_function' => 'groups_screen_my_groups', 'default_subnav_slug' => 'my-groups', 'item_css_id' => $bp->groups->id ) );
+
+	$groups_link = $bp->loggedin_user->domain . $bp->groups->slug . '/';
+
+	// Add the subnav items to the groups nav item
+	bp_core_new_subnav_item( array( 'name' => __( 'My Groups', 'buddypress' ), 'slug' => 'my-groups', 'parent_url' => $groups_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_my_groups',     'position' => 10, 'item_css_id'     => 'groups-my-groups' ) );
+	bp_core_new_subnav_item( array( 'name' => __( 'Invites',   'buddypress' ), 'slug' => 'invites',   'parent_url' => $groups_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_invites', 'position' => 30, 'user_has_access' => bp_is_my_profile() ) );
+
+	if ( bp_is_current_component( $bp->groups->slug ) ) {
 
 		if ( bp_is_my_profile() && !$bp->is_single_item ) {
@@ -104,9 +112,9 @@
 			// group navigation menu using the $bp->groups->current_group global.
 
-			/* When in a single group, the first action is bumped down one because of the
-			   group name, so we need to adjust this and set the group name to current_item. */
-			$bp->current_item = isset( $bp->current_action ) ? $bp->current_action : false;
+			// When in a single group, the first action is bumped down one because of the
+			// group name, so we need to adjust this and set the group name to current_item.
+			$bp->current_item   = isset( $bp->current_action )      ? $bp->current_action      : false;
 			$bp->current_action = isset( $bp->action_variables[0] ) ? $bp->action_variables[0] : false;
-			array_shift($bp->action_variables);
+			array_shift( $bp->action_variables );
 
 			$bp->bp_options_title = $bp->groups->current_group->name;
@@ -115,5 +123,5 @@
 				$bp->bp_options_avatar = '<img src="' . esc_attr( $group->avatar_full ) . '" class="avatar" alt="' . esc_attr( $group->name ) . '" />';
 
-			$group_link = $bp->root_domain . '/' . $bp->groups->slug . '/' . $bp->groups->current_group->slug . '/';
+			$group_link = $bp->root_domain . '/' . $bp->groups->root_slug . '/' . $bp->groups->current_group->slug . '/';
 
 			// If this is a private or hidden group, does the user have access?
@@ -127,29 +135,30 @@
 			}
 
-			/* Reset the existing subnav items */
-			bp_core_reset_subnav_items($bp->groups->slug);
-
-			/* Add a new default subnav item for when the groups nav is selected. */
-			bp_core_new_nav_default( array( 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_home', 'subnav_slug' => 'home' ) );
-
-			/* Add the "Home" subnav item, as this will always be present */
-			bp_core_new_subnav_item( array( 'name' => __( 'Home', 'buddypress' ), 'slug' => 'home', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_home', 'position' => 10, 'item_css_id' => 'home' ) );
-
-			/* If the user is a group mod or more, then show the group admin nav item */
+			// Reset the existing subnav items
+			bp_core_reset_subnav_items( $bp->groups->root_slug );
+
+			// Add a new default subnav item for when the groups nav is selected.
+			bp_core_new_nav_default( array( 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_home', 'subnav_slug' => 'home' ) );
+
+			// Add the "Home" subnav item, as this will always be present
+			bp_core_new_subnav_item( array( 'name' => __( 'Home', 'buddypress' ), 'slug' => 'home', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_home', 'position' => 10, 'item_css_id' => 'home' ) );
+
+			// If the user is a group mod or more, then show the group admin nav item
 			if ( $bp->is_item_mod || $bp->is_item_admin )
-				bp_core_new_subnav_item( array( 'name' => __( 'Admin', 'buddypress' ), 'slug' => 'admin', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_admin', 'position' => 20, 'user_has_access' => ( $bp->is_item_admin + (int)$bp->is_item_mod ), 'item_css_id' => 'admin' ) );
+				bp_core_new_subnav_item( array( 'name' => __( 'Admin', 'buddypress' ), 'slug' => 'admin', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_admin', 'position' => 20, 'user_has_access' => ( $bp->is_item_admin + (int)$bp->is_item_mod ), 'item_css_id' => 'admin' ) );
 
 			// If this is a private group, and the user is not a member, show a "Request Membership" nav item.
 			if ( !is_super_admin() && is_user_logged_in() && !$bp->groups->current_group->is_user_member && !groups_check_for_membership_request( $bp->loggedin_user->id, $bp->groups->current_group->id ) && $bp->groups->current_group->status == 'private' )
-				bp_core_new_subnav_item( array( 'name' => __( 'Request Membership', 'buddypress' ), 'slug' => 'request-membership', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_request_membership', 'position' => 30 ) );
-
-			if ( $bp->groups->current_group->enable_forum && function_exists('bp_forums_setup') )
-				bp_core_new_subnav_item( array( 'name' => __( 'Forum', 'buddypress' ), 'slug' => 'forum', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_forum', 'position' => 40, 'user_has_access' => $bp->groups->current_group->user_has_access, 'item_css_id' => 'forums' ) );
-
-			bp_core_new_subnav_item( array( 'name' => sprintf( __( 'Members (%s)', 'buddypress' ), number_format( $bp->groups->current_group->total_member_count ) ), 'slug' => 'members', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_members', 'position' => 60, 'user_has_access' => $bp->groups->current_group->user_has_access, 'item_css_id' => 'members'  ) );
+				bp_core_new_subnav_item( array( 'name' => __( 'Request Membership', 'buddypress' ), 'slug' => 'request-membership', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_request_membership', 'position' => 30 ) );
+
+			// Forums are enabled and turned on
+			if ( $bp->groups->current_group->enable_forum && function_exists( 'bp_forums_setup' ) )
+				bp_core_new_subnav_item( array( 'name' => __( 'Forum', 'buddypress' ), 'slug' => 'forum', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_forum', 'position' => 40, 'user_has_access' => $bp->groups->current_group->user_has_access, 'item_css_id' => 'forums' ) );
+
+			bp_core_new_subnav_item( array( 'name' => sprintf( __( 'Members (%s)', 'buddypress' ), number_format( $bp->groups->current_group->total_member_count ) ), 'slug' => 'members', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_members', 'position' => 60, 'user_has_access' => $bp->groups->current_group->user_has_access, 'item_css_id' => 'members'  ) );
 
 			if ( is_user_logged_in() && groups_is_user_member( $bp->loggedin_user->id, $bp->groups->current_group->id ) ) {
 				if ( bp_is_active('friends') )
-					bp_core_new_subnav_item( array( 'name' => __( 'Send Invites', 'buddypress' ), 'slug' => 'send-invites', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->slug, 'screen_function' => 'groups_screen_group_invite', 'item_css_id' => 'invite', 'position' => 70, 'user_has_access' => $bp->groups->current_group->user_has_access ) );
+					bp_core_new_subnav_item( array( 'name' => __( 'Send Invites', 'buddypress' ), 'slug' => 'send-invites', 'parent_url' => $group_link, 'parent_slug' => $bp->groups->root_slug, 'screen_function' => 'groups_screen_group_invite', 'item_css_id' => 'invite', 'position' => 70, 'user_has_access' => $bp->groups->current_group->user_has_access ) );
 			}
 		}
@@ -165,6 +174,6 @@
 function groups_directory_groups_setup() {
 	global $bp;
-
-	if ( $bp->current_component == $bp->groups->slug && empty( $bp->current_action ) && empty( $bp->current_item ) ) {
+	
+	if ( bp_is_current_component( $bp->groups->slug ) && empty( $bp->current_action ) && empty( $bp->current_item ) ) {
 		$bp->is_directory = true;
 
@@ -181,8 +190,8 @@
 		return false;
 
-	/* Don't show this menu to non site admins or if you're viewing your own profile */
+	// Don't show this menu to non site admins or if you're viewing your own profile
 	if ( !is_super_admin() )
-		return false;
-	?>
+		return false; ?>
+
 	<li id="bp-adminbar-adminoptions-menu">
 		<a href=""><?php _e( 'Admin Options', 'buddypress' ) ?></a>
@@ -192,10 +201,11 @@
 
 			<?php do_action( 'groups_adminbar_menu_items' ) ?>
+
 		</ul>
 	</li>
+
 	<?php
 }
 add_action( 'bp_adminbar_menus', 'groups_setup_adminbar_menu', 20 );
-
 
 /********************************************************************************
@@ -210,10 +220,10 @@
 	global $bp;
 
-	if ( isset($_GET['n']) ) {
-		// Delete group request notifications for the user
+	// Delete group request notifications for the user
+	if ( isset( $_GET['n'] ) ) {
 		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'membership_request_accepted' );
 		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'membership_request_rejected' );
-		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_mod' );
-		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_admin' );
+		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_mod'      );
+		bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_admin'    );
 	}
 
@@ -231,5 +241,5 @@
 
 	if ( isset( $bp->action_variables ) && in_array( 'accept', (array)$bp->action_variables ) && is_numeric( $group_id ) ) {
-		/* Check the nonce */
+		// Check the nonce
 		if ( !check_admin_referer( 'groups_accept_invite' ) )
 			return false;
@@ -240,10 +250,10 @@
 			bp_core_add_message( __('Group invite accepted', 'buddypress') );
 
-			/* Record this in activity streams */
+			// Record this in activity streams
 			$group = new BP_Groups_Group( $group_id );
 
 			groups_record_activity( array(
-				'action' => apply_filters( 'groups_activity_accepted_invite_action', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $bp->loggedin_user->id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( $group->name ) . '</a>' ), $bp->loggedin_user->id, &$group ),
-				'type' => 'joined_group',
+				'action'  => apply_filters( 'groups_activity_accepted_invite_action', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $bp->loggedin_user->id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( $group->name ) . '</a>' ), $bp->loggedin_user->id, &$group ),
+				'type'    => 'joined_group',
 				'item_id' => $group->id
 			) );
@@ -253,5 +263,5 @@
 
 	} elseif ( isset( $bp->action_variables ) && in_array( 'reject', (array)$bp->action_variables ) && is_numeric( $group_id ) ) {
-		/* Check the nonce */
+		// Check the nonce
 		if ( !check_admin_referer( 'groups_reject_invite' ) )
 			return false;
@@ -277,10 +287,9 @@
 
 	if ( $bp->is_single_item ) {
-		if ( isset($_GET['n']) ) {
-			// Delete group request notifications for the user
+		if ( isset( $_GET['n'] ) ) {
 			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'membership_request_accepted' );
 			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'membership_request_rejected' );
-			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_mod' );
-			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_admin' );
+			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_mod'      );
+			bp_core_delete_notifications_for_user_by_type( $bp->loggedin_user->id, $bp->groups->id, 'member_promoted_to_admin'    );
 		}
 
@@ -296,10 +305,10 @@
 	if ( $bp->is_single_item && $bp->groups->current_group->user_has_access ) {
 
-		/* Fetch the details we need */
-		$topic_slug = isset( $bp->action_variables[1] ) ? $bp->action_variables[1] : false;
-		$topic_id = bp_forums_get_topic_id_from_slug( $topic_slug );
-		$forum_id = groups_get_groupmeta( $bp->groups->current_group->id, 'forum_id' );
-
+		// Fetch the details we need 
+		$topic_slug     = isset( $bp->action_variables[1] ) ? $bp->action_variables[1] : false;
+		$topic_id       = bp_forums_get_topic_id_from_slug( $topic_slug );
+		$forum_id       = groups_get_groupmeta( $bp->groups->current_group->id, 'forum_id' );
 		$user_is_banned = false;
+
 		if ( !is_super_admin() && groups_is_user_banned( $bp->loggedin_user->id, $bp->groups->current_group->id ) )
 			$user_is_banned = true;
@@ -307,14 +316,14 @@
 		if ( $topic_slug && $topic_id ) {
 
-			/* Posting a reply */
+			// Posting a reply
 			if ( !$user_is_banned && !isset( $bp->action_variables[2] ) && isset( $_POST['submit_reply'] ) ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_new_reply' );
 
-				/* Auto join this user if they are not yet a member of this group */
+				// Auto join this user if they are not yet a member of this group
 				if ( $bp->groups->auto_join && !is_super_admin() && 'public' == $bp->groups->current_group->status && !groups_is_user_member( $bp->loggedin_user->id, $bp->groups->current_group->id ) )
 					groups_join_group( $bp->groups->current_group->id, $bp->loggedin_user->id );
 
-                                $topic_page = isset( $_GET['topic_page'] ) ? $_GET['topic_page'] : false;
+				$topic_page = isset( $_GET['topic_page'] ) ? $_GET['topic_page'] : false;
 
 				if ( !$post_id = groups_new_group_forum_post( $_POST['reply_text'], $topic_id, $topic_page ) )
@@ -329,7 +338,7 @@
 			}
 
-			/* Sticky a topic */
+			// Sticky a topic
 			else if ( isset( $bp->action_variables[2] ) && 'stick' == $bp->action_variables[2] && ( isset( $bp->is_item_admin ) || isset( $bp->is_item_mod ) ) ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_stick_topic' );
 
@@ -343,7 +352,7 @@
 			}
 
-			/* Un-Sticky a topic */
+			// Un-Sticky a topic
 			else if ( isset( $bp->action_variables[2] ) && 'unstick' == $bp->action_variables[2] && ( isset( $bp->is_item_admin ) || isset( $bp->is_item_mod ) ) ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_unstick_topic' );
 
@@ -357,7 +366,7 @@
 			}
 
-			/* Close a topic */
+			// Close a topic
 			else if ( isset( $bp->action_variables[2] ) && 'close' == $bp->action_variables[2] && ( isset( $bp->is_item_admin ) || isset( $bp->is_item_mod ) ) ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_close_topic' );
 
@@ -371,7 +380,7 @@
 			}
 
-			/* Open a topic */
+			// Open a topic
 			else if ( isset( $bp->action_variables[2] ) && 'open' == $bp->action_variables[2] && ( isset( $bp->is_item_admin ) || isset( $bp->is_item_mod ) ) ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_open_topic' );
 
@@ -385,7 +394,7 @@
 			}
 
-			/* Delete a topic */
+			// Delete a topic
 			else if ( !$user_is_banned && isset( $bp->action_variables[2] ) && 'delete' == $bp->action_variables[2] && empty( $bp->action_variables[3] ) ) {
-				/* Fetch the topic */
+				// Fetch the topic
 				$topic = bp_forums_get_topic_details( $topic_id );
 
@@ -394,5 +403,5 @@
 					bp_core_redirect( wp_get_referer() );
 
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_delete_topic' );
 
@@ -407,15 +416,15 @@
 			}
 
-			/* Editing a topic */
+			// Editing a topic
 			else if ( !$user_is_banned && isset( $bp->action_variables[2] ) && 'edit' == $bp->action_variables[2] && empty( $bp->action_variables[3] ) ) {
-				/* Fetch the topic */
+				// Fetch the topic
 				$topic = bp_forums_get_topic_details( $topic_id );
 
-				/* Check the logged in user can edit this topic */
+				// Check the logged in user can edit this topic
 				if ( !$bp->is_item_admin && !$bp->is_item_mod && (int)$bp->loggedin_user->id != (int)$topic->topic_poster )
 					bp_core_redirect( wp_get_referer() );
 
 				if ( isset( $_POST['save_changes'] ) ) {
-					/* Check the nonce */
+					// Check the nonce
 					check_admin_referer( 'bp_forums_edit_topic' );
 
@@ -432,14 +441,14 @@
 			}
 
-			/* Delete a post */
+			// Delete a post
 			else if ( !$user_is_banned && isset( $bp->action_variables[2] ) && 'delete' == $bp->action_variables[2] && isset( $bp->action_variables[4] ) && $post_id = $bp->action_variables[4] ) {
-				/* Fetch the post */
+				// Fetch the post
 				$post = bp_forums_get_post( $post_id );
 
-				/* Check the logged in user can edit this topic */
+				// Check the logged in user can edit this topic
 				if ( !$bp->is_item_admin && !$bp->is_item_mod && (int)$bp->loggedin_user->id != (int)$post->poster_id )
 					bp_core_redirect( wp_get_referer() );
 
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_delete_post' );
 
@@ -455,15 +464,15 @@
 			}
 
-			/* Editing a post */
+			// Editing a post
 			else if ( !$user_is_banned && isset( $bp->action_variables[2] ) && 'edit' == $bp->action_variables[2] && isset( $bp->action_variables[4] ) && $post_id = $bp->action_variables[4] ) {
-				/* Fetch the post */
+				// Fetch the post
 				$post = bp_forums_get_post( $bp->action_variables[4] );
 
-				/* Check the logged in user can edit this topic */
+				// Check the logged in user can edit this topic
 				if ( !$bp->is_item_admin && !$bp->is_item_mod && (int)$bp->loggedin_user->id != (int)$post->poster_id )
 					bp_core_redirect( wp_get_referer() );
 
 				if ( isset( $_POST['save_changes'] ) ) {
-					/* Check the nonce */
+					// Check the nonce
 					check_admin_referer( 'bp_forums_edit_post' );
 
@@ -483,5 +492,5 @@
 			}
 
-			/* Standard topic display */
+			// Standard topic display
 			else {
 				if ( $user_is_banned )
@@ -492,7 +501,7 @@
 
 		} else {
-			/* Posting a topic */
+			// Posting a topic
 			if ( isset( $_POST['submit_topic'] ) && function_exists( 'bp_forums_new_topic') ) {
-				/* Check the nonce */
+				// Check the nonce
 				check_admin_referer( 'bp_forums_new_topic' );
 
@@ -578,5 +587,5 @@
 		// If the user has submitted a request, send it.
 		if ( isset( $_POST['group-request-send']) ) {
-			/* Check the nonce first. */
+			// Check the nonce
 			if ( !check_admin_referer( 'groups_request_membership' ) )
 				return false;
@@ -599,5 +608,5 @@
 	global $bp;
 
-	if ( $bp->current_component != $bp->groups->slug || $bp->current_action != $bp->activity->slug || empty( $bp->action_variables[0] ) )
+	if ( !bp_is_current_component( $bp->groups->slug ) || $bp->current_action != $bp->activity->slug || empty( $bp->action_variables[0] ) )
 		return false;
 
@@ -611,5 +620,5 @@
 	global $bp;
 
-	if ( $bp->current_component != BP_GROUPS_SLUG || 'admin' != $bp->current_action )
+	if ( !bp_is_current_component( BP_GROUPS_SLUG ) || 'admin' != $bp->current_action )
 		return false;
 
@@ -623,5 +632,5 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'edit-details' == $bp->action_variables[0] ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && 'edit-details' == $bp->action_variables[0] ) {
 
 		if ( $bp->is_item_admin || $bp->is_item_mod  ) {
@@ -629,5 +638,5 @@
 			// If the edit form has been submitted, save the edited details
 			if ( isset( $_POST['save'] ) ) {
-				/* Check the nonce first. */
+				// Check the nonce
 				if ( !check_admin_referer( 'groups_edit_group_details' ) )
 					return false;
@@ -655,5 +664,5 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'group-settings' == $bp->action_variables[0] ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && 'group-settings' == $bp->action_variables[0] ) {
 
 		if ( !$bp->is_item_admin )
@@ -667,5 +676,5 @@
 			$status = ( in_array( $_POST['group-status'], (array)$allowed_status ) ) ? $_POST['group-status'] : 'public';
 
-			/* Check the nonce first. */
+			// Check the nonce
 			if ( !check_admin_referer( 'groups_edit_group_settings' ) )
 				return false;
@@ -692,13 +701,13 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'group-avatar' == $bp->action_variables[0] ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && 'group-avatar' == $bp->action_variables[0] ) {
 
 		if ( !$bp->is_item_admin )
 			return false;
 
-		/* If the group admin has deleted the admin avatar */
+		// If the group admin has deleted the admin avatar
 		if ( 'delete' == $bp->action_variables[1] ) {
 
-			/* Check the nonce */
+			// Check the nonce
 			check_admin_referer( 'bp_group_avatar_delete' );
 
@@ -714,12 +723,12 @@
 		if ( !empty( $_FILES ) ) {
 
-			/* Check the nonce */
+			// Check the nonce
 			check_admin_referer( 'bp_avatar_upload' );
 
-			/* Pass the file to the avatar upload handler */
+			// Pass the file to the avatar upload handler
 			if ( bp_core_avatar_handle_upload( $_FILES, 'groups_avatar_upload_dir' ) ) {
 				$bp->avatar_admin->step = 'crop-image';
 
-				/* Make sure we include the jQuery jCrop file for image cropping */
+				// Make sure we include the jQuery jCrop file for image cropping
 				add_action( 'wp_print_scripts', 'bp_core_add_jquery_cropper' );
 			}
@@ -727,8 +736,8 @@
 		}
 
-		/* If the image cropping is done, crop the image and save a full/thumb version */
+		// If the image cropping is done, crop the image and save a full/thumb version
 		if ( isset( $_POST['avatar-crop-submit'] ) ) {
 
-			/* Check the nonce */
+			// Check the nonce
 			check_admin_referer( 'bp_avatar_cropstore' );
 
@@ -750,5 +759,5 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'manage-members' == $bp->action_variables[0] ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && 'manage-members' == $bp->action_variables[0] ) {
 
 		if ( !$bp->is_item_admin )
@@ -856,7 +865,7 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'membership-requests' == $bp->action_variables[0] ) {
-
-		/* Ask for a login if the user is coming here via an email notification */
+	if ( bp_is_current_component( $bp->groups->slug ) && 'membership-requests' == $bp->action_variables[0] ) {
+
+		// Ask for a login if the user is coming here via an email notification
 		if ( !is_user_logged_in() )
 			bp_core_redirect( site_url( 'wp-login.php?redirect_to=' . $bp->root_domain . '/' . $bp->current_component . '/' . $bp->current_item . '/admin/membership-requests/' ) );
@@ -874,5 +883,5 @@
 			if ( 'accept' == $request_action && is_numeric($membership_id) ) {
 
-				/* Check the nonce first. */
+				// Check the nonce first.
 				if ( !check_admin_referer( 'groups_accept_membership_request' ) )
 					return false;
@@ -914,5 +923,5 @@
 	global $bp;
 
-	if ( $bp->current_component == $bp->groups->slug && 'delete-group' == $bp->action_variables[0] ) {
+	if ( bp_is_current_component( $bp->groups->slug ) && 'delete-group' == $bp->action_variables[0] ) {
 
 		if ( !$bp->is_item_admin && !is_super_admin() )
@@ -920,5 +929,5 @@
 
 		if ( isset( $_REQUEST['delete-group-button'] ) && isset( $_REQUEST['delete-group-understand'] ) ) {
-			/* Check the nonce first. */
+			// Check the nonce first.
 			if ( !check_admin_referer( 'groups_delete_group' ) )
 				return false;
@@ -950,20 +959,17 @@
 	global $bp;
 
-	$group_invite = get_user_meta( $bp->displayed_user->id, 'notification_groups_invite', true );
-	if ( !$group_invite )
-		$group_invite = 'yes';
-
-	$group_update = get_user_meta( $bp->displayed_user->id, 'notification_groups_group_updated', true );
-	if ( !$group_update )
-		$group_update = 'yes';
-
-	$group_promo = get_user_meta( $bp->displayed_user->id, 'notification_groups_admin_promotion', true );
-	if ( !$group_promo )
-		$group_promo = 'yes';
-
-	$group_request = get_user_meta( $bp->displayed_user->id, 'notification_groups_membership_request', true );
-	if ( !$group_request )
+	if ( !$group_invite = get_user_meta( $bp->displayed_user->id, 'notification_groups_invite', true ) )
+		$group_invite  = 'yes';
+
+	if ( !$group_update = get_user_meta( $bp->displayed_user->id, 'notification_groups_group_updated', true ) )
+		$group_update  = 'yes';
+
+	if ( !$group_promo = get_user_meta( $bp->displayed_user->id, 'notification_groups_admin_promotion', true ) )
+		$group_promo   = 'yes';
+
+	if ( !$group_request = get_user_meta( $bp->displayed_user->id, 'notification_groups_membership_request', true ) )
 		$group_request = 'yes';
 ?>
+
 	<table class="notification-settings zebra" id="groups-notification-settings">
 		<thead>
@@ -1003,6 +1009,8 @@
 
 			<?php do_action( 'groups_screen_notification_settings' ); ?>
+
 		</tbody>
 	</table>
+
 <?php
 }
@@ -1021,6 +1029,6 @@
 	global $bp;
 
-	/* If we're not at domain.org/groups/create/ then return false */
-	if ( $bp->current_component != $bp->groups->slug || 'create' != $bp->current_action )
+	// If we're not at domain.org/groups/create/ then return false
+	if ( !bp_is_current_component( $bp->groups->slug ) || 'create' != $bp->current_action )
 		return false;
 
@@ -1028,8 +1036,8 @@
 		return false;
 
-	/* Make sure creation steps are in the right order */
+	// Make sure creation steps are in the right order
 	groups_action_sort_creation_steps();
 
-	/* If no current step is set, reset everything so we can start a fresh group creation */
+	// If no current step is set, reset everything so we can start a fresh group creation
 	if ( !isset( $bp->action_variables[1] ) || !$bp->groups->current_create_step = $bp->action_variables[1] ) {
 
